package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/company/request"
	"sorbet/pkg/crud"
)

type CompanyEmployeeController struct {
	crud.Controller[entities.CompanyEmployee, request.CompanyEmployeeUpsertRequest]
}

func (c *CompanyEmployeeController) InitRoutes(r *echo.Group) {
	c.RegisterRoutes("/company/employees", r)
}
