package rsp

import (
	"github.com/labstack/echo/v4"
)

// HTTPErrorHandler 实现 echo.HTTPErrorHandler 函数
func HTTPErrorHandler(err error, c echo.Context) {
	if c.Response().Committed {
		c.Logger().Error(err)
	} else if err = Fail(c, err); err != nil {
		c.Logger().Error(err)
	}
}
